OpenCart-Hellas 

Η Ελληνική κοινότητα υποστήριξης του Opencart

Νέα, αναβαθμίσεις και ανακοινώσεις σχετικές με την ανάπτυξη του Opencart.
Άβαταρ μέλους
Από Alexandra
#3062
Σας ενημερώνουμε ότι η έκδοση 2.1.0.2 είναι έκδοση ασφαλείας για ευπάθεια που εντοπίστηκε από το Netsparker.com και επιλύει το ενδεχόμενο εκμετάλλευσης του zone_id μέσω Cross-site Scripting.

Οι τροποποιήσεις σε σχέση με την έκδοση 2.1.0.1 είναι ελάχιστες (11 αρχεία) και ουσιαστικά βελτιώνουν την επαλήθευση στις μεταβλητές zone_id και country_id στον λογαριασμό πελατών/συνεργατών και στο checkout. Επειδή η δομή της βάσης δεδομένων δεν αλλάζει σε σχέση με την έκδοση 2.1.0.1 μπορείτε να αναβαθμίσετε από 2.1.0.1 σε 2.1.0.2 μεταφέροντας μόνο τα ακόλουθα αρχεία που έχουν αλλάξει:

admin/index.php
catalog/controller/account/address.php
catalog/controller/account/register.php
catalog/controller/affiliate/edit.php
catalog/controller/affiliate/register.php
catalog/controller/checkout/guest.php
catalog/controller/checkout/guest_shipping.php
catalog/controller/checkout/payment_address.php
catalog/controller/checkout/register.php
catalog/controller/checkout/shipping_address.php
index.php

Για αναβάθμιση από προηγούμενες εκδόσεις θα χρειαστεί να κάνετε κανονική αναβάθμιση. Σε sites φορτωμένα με extensions που είναι δύσκολο από άποψη πολυπλοκότητας να γίνει αναβάθμιση, μπορείτε να εφαρμόσετε τις τροποποιήσεις που έχουν γίνει στα παραπάνω αρχεία και σε παλαιότερες εκδόσεις (χωρίς να πειράξετε τα index.php στα οποία αλλάζει μόνο ο αριθμός έκδοσης).
Από Eleni_P.
#4635
Καλησπέρα σας,

Είμαι καινούρια στο forum κι ήθελα να κάνω μια ερώτηση πριν ξεκινήσω την κατασκευή της ιστοσελίδας μου.
Η έκδοση 2.1.0.2 είναι η πιο ασφαλής - σταθερή έκδοση της OpenCart από τις τελευταίες εκδόσεις;
Είναι προτιμότερη από την 2.2.0.0 και την 2.3.0.2;
Ή μήπως να επιλέξω την 1.5.6.4; (έχω διαβάσει τα καλύτερα γι' αυτή την έκδοση αλλά δυστυχώς δεν έχει κάποια χρήσιμα χαρακτηριστικά που έχουν οι μεταγενέστερες)

υ.γ.: Ελπίζω να μην επέλεξα ακατάλληλο σημείο για την ερώτησή μου;
Άβαταρ μέλους
Από Alexandra
#4636
Καλησπέρα,
Η έκδοση 2.1.0.2 διόρθωνε ένα κενό ασφαλείας σε σχέση με τις προηγούμενες εκδόσεις. ´Όλες οι μεταγενέστερες εκδόσεις είναι το ίδιο ασφαλείς και σου προτείνω την 2.3.0.2.
Από billkou
#4639
Eleni_P. έγραψε:Σας ευχαριστώ πολύ για την άμεση απάντηση!!
Καλησπέρα, θα αφήνεις σχεδόν πάντα λίγο διάστημα να "ωριμάσει" μία έκδοση και θα χρησιμοποιείς την έκδοση που είναι δεδομένα ασφαλής και συμβατή με τις επεκτάσεις σου.

Δεν είναι ανάγκη δηλαδή να έχεις την εντελώς τελευταία έκδοση κάθε φορά και να αναβαθμίζεις με το παραμικρό, καθώς αυτό μπορεί να δημιουργήσει άσκοπα προβλήματα και ασυμβατότητες και να σου στερεί πωλήσεις και κίνηση στο κατάστημα σου.

Η τελευταία έκδοση πάντως του Opencart είναι αρκετά καλή και 100% συμβατή με τα περισσότερα/γνωστά και χρήσιμα extensions οπότε εάν ξεκινάς τώρα, όπως πρότεινε και ο admin, πήγαινε με αυτήν.
Από agathon
#4979
Καλημέρα σας

Επαναφέρω το θέμα στην επικαιρότητα.
Έχοντας στήσει πλέον 1 eshop στην 2.1.0.1 έκδοση και άλλα 2 eshop στην 2.1.0.2 εκδόση σύμφωνα και με τις προηγούμενες συζητήσεις, μπορώ να πω από προσωπική εμπειρία ότι δεν είχα και ούτε έχω κανένα αππολύτως θέμα σε αυτές τις εκδόσεις.

Τώρα η ερώτηση μου είναι αν έχετε δουλέψει κάποια από τις επόμενες εκδόσεις μέχρι και την 3.0.2.1b July 27, 2017 την τελευταία έκδοση.
Έιμαι σε διαδικασία αναζήτησης της επόμενης έκδοσης για ενα καινούργιο project και θα ήθελα την άποψη σας ποιά θεωρείτε μια σταθερή έκδοση για τις τελευταίες εκδόσεις της πλατφόρμας του Opecart;

Σας ευχαριστώ εκ των προτέρων.
html στο textarea

Ευχαριστώ Θα το προσπαθήσω.

Αφαίρεση links

Καλησπέρα, Έλεγξε μήπως τα αφαιρείς από το twig […]

Δεν δουλεύει σωστα. Η σειρα που τα εχω ειναι Μερικ[…]

Δες αυτό: https://www.opencart.com/index.php?rout[…]

Πριν ζητήσετε βοήθεια στο φόρουμ, παρακαλούμε ελέγξτε αν υπάρχει έτοιμη λύση στο OpenCart Extension Marketplace!